import 'package:flutter/material.dart';
import 'package:hometec_ui/resources/colors/color.dart';
import 'package:hometec_ui/resources/fonts/font.dart';

class ButtonAppBar extends StatelessWidget {

  final String title;
  final Function onTap;

  ButtonAppBar({this.title, this.onTap});

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
            onTap:  onTap,
            child: Container(
              padding: EdgeInsets.symmetric(horizontal: 16),
              height: 44,
              child: Center(
                child: Text(title, style: Font.bodyRegular.style(color: ECColor.primary)),
              )
            ),
          );
  }
}