import 'package:flutter/material.dart';
import 'package:hometec_ui/components/button/button.dart';
import 'package:hometec_ui/resources/colors/color.dart';

class ButtonSheet extends StatelessWidget {

  final String title;
  final Function onPressed;

  ButtonSheet({this.title, this.onPressed});

  @override
  Widget build(BuildContext context) {
    return Container(
            color: ECColor.backgroundColor,
            child: Row(children: <Widget>[
              Expanded(
                child: Padding(
                  padding: EdgeInsets.symmetric(horizontal: 24, vertical: 8),
                  child: ECButton(title, onPressed: onPressed,),
                )
              )
            ],)
    );
  }
}