
enum ButtonSize {
  large,
  medium,
  small
}

extension ButtonSizeExtension on ButtonSize {
  double get size {
    switch (this) {
      case ButtonSize.large:
        return 56.0;
      case ButtonSize.medium:
        return 48.0;
      case ButtonSize.small:
        return 30.0;
      default:
      return 0;
    }
  }
}