import 'package:flutter/material.dart';
import 'package:hometec_ui/components/appbar_title/appbar_title.dart';
import 'package:hometec_ui/resources/colors/color.dart';

class CustomAppBar extends StatelessWidget {
  final String titulo;
  final List<Widget> actions;

  CustomAppBar({this.titulo, this.actions});

  @override
  Widget build(BuildContext context) {
    return AppBar(
      iconTheme: IconThemeData(
        color: ECColor.textColor
      ),
      title: AppBarTitle(titulo),
      actions: actions,
    );
  }
}