import 'package:flutter/material.dart';
import 'package:hometec_ui/components/button/size.dart';

class ImageButton extends StatefulWidget {

  final String url;

  ImageButton(this.url);

  @override
  _ImageButtonState createState() => _ImageButtonState(this.url);
}

class _ImageButtonState extends State<ImageButton> {

  final String url;

  _ImageButtonState(this.url);

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      child: Container(
      height: ButtonSize.large.size,
      decoration: BoxDecoration(
        color: Colors.black,
        image: DecorationImage(
          image:AssetImage(this.url), 
          fit:BoxFit.cover
        ),
      )
      ),onTap:(){
      print("you clicked my");
      }
    );
  }
}