import 'package:flutter/services.dart';

class NumberFormatter extends TextInputFormatter {
  @override
  TextEditingValue formatEditUpdate(TextEditingValue oldValue, TextEditingValue newValue) {
    final value = newValue.text;
    if(value == ""){
      final newText = "0";
      return newValue.copyWith(
            text: newText,
            selection: TextSelection.collapsed(offset: 1));
    }
    
    return newValue;
  }
}